package com.fjs.scenic.mapper.good;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.good.Goods;
import com.fjs.scenic.mapper.common.BaseMapper;

public interface GoodsMapper extends BaseMapper<Goods> {

    /**根据畅游通商品id查询门票*/
	Goods selectByGoodsId(@Param("resourceId")Integer resourceId);
	
	/**根据畅游通商品id跟新门票*/
	int updateByCytGoodsIdSelective(Goods record);

	/**查询所有门票商品*/
	List<Goods> selectAllGoods();
	
	/***/
	List<Map<String, String>> getAllGoodsAndMinPrice(@Param("flage")String flage);
	
	/**批量刪除*/
	int deleteGoodsNotIn(@Param("gids")String[] gids);
}